diff -Nurp '--exclude=.bzr*' tin-2.6.4/include/extern.h tin-2.6.5/include/extern.h
--- tin-2.6.4/include/extern.h	2024-12-21 15:09:49.000000000 +0100
+++ tin-2.6.5/include/extern.h	2025-12-16 18:58:17.756313703 +0100
@@ -3,10 +3,10 @@
  *  Module    : extern.h
  *  Author    : I. Lea
  *  Created   : 1991-04-01
- *  Updated   : 2024-12-21
+ *  Updated   : 2025-12-16
  *  Notes     :
  *
- * Copyright (c) 1997-2025 Iain Lea <iain@bricbrac.de>
+ * Copyright (c) 1997-2026 Iain Lea <iain@bricbrac.de>
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -66,9 +66,6 @@
 #ifdef DECL_ALARM
 	extern unsigned alarm(unsigned);
 #endif /* DECL_ALARM */
-#ifdef DECL_ATOI
-	extern int atoi(const char *);
-#endif /* DECL_ATOI */
 #ifdef DECL_ATOL
 	extern long atol(const char *);
 #endif /* DECL_ATOL */
@@ -78,7 +75,7 @@
 #	endif /* DECL_ATOLL */
 #else
 #	if defined(HAVE_ATOQ) && defined(DECL_ATOQ)
-		 extern long long atoq(const char *);
+		extern long long atoq(const char *);
 #	endif /* HAVE_ATOQ && DECL_ATOQ */
 #endif /* HAVE_ATOLL */
 #ifndef HAVE_MEMCPY
@@ -260,6 +257,9 @@
 #ifdef DECL_STRFTIME
 	extern int strftime(char *, int, char *, struct tm *);
 #endif /* DECL_STRFTIME */
+#ifdef DECL_STRPTIME
+	extern char *strftime(const char *, const char *, struct tm *);
+#endif /* DECL_STRFTIME */
 #ifdef DECL_STRNCASECMP
 	extern int strncasecmp(const char *, const char *, size_t);
 #endif /* DECL_STRNCASECMP */
@@ -340,11 +340,15 @@
 #endif /* 0 */
 
 #ifdef __CYGWIN__
-	extern int __declspec(dllimport) optind;
 	extern char __declspec(dllimport) *optarg;
+	extern int __declspec(dllimport) optind;
+	extern int __declspec(dllimport) optopt;
+/*	extern int __declspec(dllimport) opterr; */
 #else
-	extern int optind;
 	extern char *optarg;
+	extern int optind;
+	extern int optopt;
+/*	extern int opterr; */
 #endif /* __CYGWIN__ */
 
 /*
@@ -359,13 +363,15 @@ extern char **OPT_STRING_list[];
 extern char *nntp_server;
 extern char *tin_progname;
 extern const char *tmpdir;
-extern char active_times_file[PATH_LEN];
+#ifndef NNTP_ONLY
+	extern char active_times_file[PATH_LEN];
+#endif /* !NNTP_ONLY */
 extern char article_name[PATH_LEN];
 extern char *backup_article_name;
 extern char bug_addr[LEN];
 #ifdef NNTP_ABLE
-	extern char bug_nntpserver1[PATH_LEN];
-	extern char bug_nntpserver2[PATH_LEN];
+	extern char bug_nntpserver1[512 /* should be NNTP_STRLEN */];
+	extern char bug_nntpserver2[512 /* but that is not known here */];
 #endif /* NNTP_ABLE */
 extern char cvers[LEN];
 extern char dead_article[PATH_LEN];
@@ -412,9 +418,13 @@ extern char posted_info_file[PATH_LEN];
 extern char postponed_articles_file[PATH_LEN];
 extern char rcdir[PATH_LEN];
 extern char save_active_file[PATH_LEN];
+extern char serverdir[PATH_LEN];
+extern char serverrc_file[PATH_LEN];
 extern char spooldir[PATH_LEN];
-extern char subscriptions_file[PATH_LEN];
-extern char overviewfmt_file[PATH_LEN];
+#ifndef NNTP_ONLY
+	extern char overviewfmt_file[PATH_LEN];
+	extern char subscriptions_file[PATH_LEN];
+#endif /* !NNTP_ONLY */
 extern char txt_help_bug_report[LEN];
 extern char userid[LOGIN_NAME_MAX];
 
@@ -436,7 +446,7 @@ extern constext *txt_auto_cc_bcc_options
 #endif /* HAVE_COLOR */
 extern constext *txt_confirm_choices[];
 extern constext *txt_goto_next_unread_options[];
-extern constext *txt_hide_uue_type[];
+extern constext *txt_hide_inline_data_type[];
 extern constext *txt_interactive_mailers[];
 extern constext *txt_kill_level_type[];
 #ifdef CHARSET_CONVERSION
@@ -461,18 +471,17 @@ extern constext *txt_strip_bogus_type[];
 extern constext *txt_threading[];
 extern constext *txt_thread_score_type[];
 extern constext *txt_trim_article_body_options[];
+extern constext *txt_verbatim_handling_options[];
 extern constext *txt_wildcard_type[];
-extern constext txt_1_resp[];
 #if defined(NNTP_ABLE) && defined(HAVE_SELECT)
 	extern constext txt_abort_reading[];
 #endif /* NNTP_ABLE && HAVE_SELECT */
 extern constext txt_active_file_is_empty[];
-extern constext txt_all[];
 extern constext txt_all_groups[];
 extern constext txt_append_overwrite_quit[];
 extern constext txt_art_cancel[];
 extern constext txt_art_mailgroups[];
-extern constext txt_art_newsgroups[];
+extern constext *txt_art_newsgroup_sp[];
 extern constext txt_art_not_posted[];
 extern constext txt_art_not_saved[];
 extern constext txt_art_pager_com[];
@@ -487,16 +496,14 @@ extern constext txt_art_unavailable[];
 extern constext txt_art_x_of_n[];
 extern constext txt_article_cancelled[];
 extern constext txt_article_info_page[];
-extern constext txt_article_plural[];
 extern constext txt_article_reposted[];
-extern constext txt_article_singular[];
-extern constext txt_article_upper[];
-extern constext txt_articles_mailed[];
+extern constext *txt_article_sp[];
+extern constext *txt_article_mailed_sp[];
 #ifndef DISABLE_PRINTING
-	extern constext txt_articles_printed[];
+	extern constext *txt_article_printed_sp[];
 #endif /* !DISABLE_PRINTING */
 #ifndef DONT_HAVE_PIPING
-	extern constext txt_articles_piped[];
+	extern constext *txt_article_piped_sp[];
 #endif /* !DONT_HAVE_PIPING */
 extern constext txt_mime_boundary[];
 extern constext txt_mime_boundary_end[];
@@ -511,7 +518,7 @@ extern constext txt_mime_hdr_c_type_msg_
 extern constext txt_mime_hdr_c_type_multipart_mixed[];
 extern constext txt_mime_hdr_c_type_text_plain_charset[];
 extern constext txt_mime_lang[];
-extern constext txt_mime_lines[];
+extern constext *txt_mime_line_sp[];
 extern constext txt_mime_name[];
 extern constext txt_mime_sep[];
 extern constext txt_mime_size[];
@@ -522,10 +529,10 @@ extern constext txt_attachment_menu[];
 extern constext txt_attachment_menu_com[];
 extern constext txt_attachment_no_name[];
 extern constext txt_attachment_saved[];
-extern constext txt_attachments_saved[];
+extern constext *txt_attachment_saved_sp[];
 extern constext txt_attachment_select[];
 extern constext txt_attachment_tagged[];
-extern constext txt_attachments_tagged[];
+extern constext *txt_attachment_tagged_sp[];
 extern constext txt_attachment_untagged[];
 extern constext txt_attrib_file_version[];
 extern constext txt_attrib_file_header[];
@@ -545,8 +552,15 @@ extern constext txt_attrib_file_editor_f
 extern constext txt_attrib_file_fcc[];
 extern constext txt_attrib_file_followup_to[];
 extern constext txt_attrib_file_from[];
+extern constext txt_attrib_file_getart_limit[];
 extern constext txt_attrib_file_grp_catchup[];
 extern constext txt_attrib_file_grp_fmt[];
+extern constext txt_attrib_file_hide_inline_data[];
+extern constext txt_attrib_file_hide_inline_data_0[];
+extern constext txt_attrib_file_hide_inline_data_1[];
+extern constext txt_attrib_file_hide_inline_data_2[];
+extern constext txt_attrib_file_hide_inline_data_4[];
+extern constext txt_attrib_file_hide_inline_data_8[];
 extern constext txt_attrib_file_mail_8bit_hdr[];
 extern constext txt_attrib_file_mail_mime_enc[];
 #ifdef HAVE_ISPELL
@@ -578,20 +592,15 @@ extern constext txt_attrib_file_quick_ki
 extern constext txt_attrib_file_quick_kill_expire[];
 extern constext txt_attrib_file_quick_kill_case[];
 extern constext txt_attrib_file_quick_kill_hdr[];
-extern constext txt_attrib_file_quick_kill_hdr_0_1[];
-extern constext txt_attrib_file_quick_kill_hdr_2_3[];
-extern constext txt_attrib_file_quick_kill_hdr_4[];
-extern constext txt_attrib_file_quick_kill_hdr_5[];
-extern constext txt_attrib_file_quick_kill_hdr_6[];
+extern constext txt_attrib_file_quick_ks_hdr_0_1[];
+extern constext txt_attrib_file_quick_ks_hdr_2_3[];
+extern constext txt_attrib_file_quick_ks_hdr_4[];
+extern constext txt_attrib_file_quick_ks_hdr_5[];
+extern constext txt_attrib_file_quick_ks_hdr_6[];
 extern constext txt_attrib_file_quick_select_scope[];
 extern constext txt_attrib_file_quick_select_expire[];
 extern constext txt_attrib_file_quick_select_case[];
 extern constext txt_attrib_file_quick_select_hdr[];
-extern constext txt_attrib_file_quick_select_hdr_0_1[];
-extern constext txt_attrib_file_quick_select_hdr_2_3[];
-extern constext txt_attrib_file_quick_select_hdr_4[];
-extern constext txt_attrib_file_quick_select_hdr_5[];
-extern constext txt_attrib_file_quick_select_hdr_6[];
 extern constext txt_attrib_file_quote_chars[];
 #ifndef DISABLE_PRINTING
 	extern constext txt_attrib_file_print_hdr[];
@@ -627,6 +636,10 @@ extern constext txt_attrib_file_trim_art
 extern constext txt_attrib_file_trim_art_body_6[];
 extern constext txt_attrib_file_trim_art_body_7[];
 extern constext txt_attrib_file_verbatim_handling[];
+extern constext txt_attrib_file_verbatim_handling_0[];
+extern constext txt_attrib_file_verbatim_handling_1[];
+extern constext txt_attrib_file_verbatim_handling_2[];
+extern constext txt_attrib_file_verbatim_handling_3[];
 #ifdef HAVE_COLOR
 	extern constext txt_attrib_file_extquote_handling[];
 #endif /* HAVE_COLOR */
@@ -658,10 +671,11 @@ extern constext txt_autosubscribing_grou
 extern constext txt_bad_article[];
 #ifdef DEBUG
 	extern constext txt_bad_attrib[];
+	extern constext txt_bad_global_attrib[];
 #endif /* DEBUG */
 extern constext txt_bad_command[];
-extern constext txt_base_article[];
-extern constext txt_base_article_range[];
+extern constext txt_base_article_marked_read[];
+extern constext txt_base_article_range_marked_read[];
 extern constext txt_batch_update_unavail[];
 extern constext txt_begin_of_art[];
 extern constext txt_begin_of_page[];
@@ -695,12 +709,13 @@ extern constext txt_cannot_write_to_dire
 #ifdef NNTP_ABLE
 	extern constext txt_capabilities_without_reader[];
 #endif /* NNTP_ABLE */
-extern constext txt_catchup[];
 extern constext txt_catchup_group[];
 extern constext txt_catchup_all_read_groups[];
-extern constext txt_catchup_despite_tags[];
+extern constext *txt_catchup_despite_tags_sp[];
 extern constext txt_catchup_update_info[];
-extern constext txt_caughtup[];
+extern constext *txt_catchup_info_sp[];
+extern constext *txt_update_info_sp[];
+extern constext *txt_n_second_sp[];
 extern constext txt_check_article[];
 extern constext txt_checking_for_news[];
 extern constext txt_checking_new_groups[];
@@ -711,10 +726,12 @@ extern constext txt_choose_post_process_
 #endif /* HAVE_COLOR */
 extern constext txt_command_failed[];
 extern constext txt_cook_article_failed_exiting[];
+extern constext *txt_cook_lines_hidden_sp[];
 extern constext txt_confirm_select_on_exit[];
 #ifdef NNTP_ABLE
 	extern constext txt_connecting_port[];
 	extern constext txt_connection_error[];
+	extern constext txt_connection_error_timeout[];
 #endif /* NNTP_ABLE */
 #if defined(NNTP_ABLE) && !defined(INET6)
 	extern constext txt_connection_to[];
@@ -746,7 +763,7 @@ extern constext txt_conninfo_saved_news[
 #	endif /* USE_ZLIB */
 #	if defined(HAVE_ALARM) && defined(SIGALRM)
 	extern constext txt_conninfo_disabled[];
-	extern constext txt_conninfo_timeout[];
+	extern constext *txt_conninfo_timeout_sp[];
 #	endif /* HAVE_ALARM && SIGALRM */
 	extern constext txt_conninfo_implementation[];
 #	if defined(MAXARTNUM) && defined(USE_LONG_ARTICLE_NUMBERS)
@@ -759,7 +776,6 @@ extern constext txt_conninfo_saved_news[
 	extern constext txt_conninfo_server[];
 	extern constext txt_conninfo_type[];
 #	ifdef NNTPS_ABLE
-	extern constext txt_conninfo_nntps[];
 	extern constext txt_conninfo_trusted[];
 	extern constext txt_conninfo_untrusted[];
 	extern constext txt_conninfo_cert[];
@@ -795,6 +811,7 @@ extern constext txt_default[];
 extern constext txt_delete_processed_files[];
 extern constext txt_deleting[];
 #ifdef NNTP_ABLE
+	extern constext txt_disabled_cmds[];
 	extern constext txt_disconnecting[];
 #endif /* NNTP_ABLE */
 extern constext txt_end_of_art[];
@@ -814,7 +831,7 @@ extern constext txt_enter_next_unread_gr
 extern constext txt_enter_option_num[];
 extern constext txt_enter_range[];
 extern constext txt_enter_append[];
-extern constext txt_error_approved[];
+extern constext txt_warn_approved[];
 extern constext txt_error_attrib_too_long[];
 extern constext txt_error_attrib_malformed[];
 extern constext txt_error_attrib_unknown[];
@@ -839,6 +856,8 @@ extern constext txt_error_corrupted_file
 #ifdef NNTP_ABLE
 	extern constext txt_error_couldnt_expand[];
 #endif /* NNTP_ABLE */
+extern constext txt_error_date_future[];
+extern constext txt_error_date_unparsable[];
 extern constext txt_error_empty_art[];
 extern constext txt_error_empty_format_string[];
 extern constext txt_error_fseek[];
@@ -874,7 +893,7 @@ extern constext txt_error_gnksa_rn_inval
 extern constext txt_error_gnksa_rn_missing[];
 extern constext txt_error_header_and_body_not_separate[];
 extern constext txt_error_header_distribution_all[];
-extern constext txt_error_header_duplicate[];
+extern constext *txt_error_header_duplicate_sp[];
 extern constext txt_error_header_format[];
 extern constext txt_error_header_line_bad_charset[];
 extern constext txt_error_header_line_bad_encoding[];
@@ -882,7 +901,7 @@ extern constext txt_error_header_line_bl
 extern constext txt_error_header_line_colon[];
 extern constext txt_error_header_line_empty[];
 extern constext txt_error_header_line_missing[];
-extern constext txt_error_header_line_not_7bit[];
+extern constext txt_warning_header_line_not_7bit[];
 extern constext txt_error_header_line_space[];
 extern constext txt_error_header_no_name[];
 extern constext txt_error_mailgroup_no_recipient[];
@@ -891,9 +910,9 @@ extern constext txt_error_mixed_up_opt[]
 	extern constext txt_error_insecure_permissions[];
 #endif /* !FILE_MODE_BROKEN */
 #ifdef MIME_BREAK_LONG_LINES
-	extern constext txt_error_should_be_folded[];
+	extern constext *txt_error_should_be_folded_sp[];
 #else
-	extern constext txt_error_should_be_shortened[];
+	extern constext *txt_error_should_be_shortened_sp[];
 #endif /* MIME_BREAK_LONG_LINES */
 #if defined(HAVE_SETLOCALE) && !defined(NO_LOCALE)
 	extern constext txt_error_locale[];
@@ -914,10 +933,14 @@ extern constext txt_error_no_domain_name
 #	endif /* INET6 */
 #endif /* NNTP_ABLE */
 extern constext txt_error_newsgroups_poster[];
+extern constext *txt_error_no_valid_newsgroup_sp[];
+extern constext txt_error_retry_without_n[];
+extern constext txt_error_option_missing_argument[];
+extern constext txt_error_option_unknown[];
+
 extern constext txt_error_passwd_missing[];
 #ifdef HAVE_LIBUU
-	extern constext txt_error_plural[];
-	extern constext txt_error_singular[];
+	extern constext *txt_error_sp[];
 #endif /* HAVE_LIBUU */
 extern constext txt_error_server_has_no_listed_groups[];
 #if defined(NNTP_ABLE) && defined(INET6)
@@ -935,6 +958,7 @@ extern constext txt_error_unknown_dlevel
 #ifndef NNTP_ABLE
 	extern constext txt_error_unreachable[];
 #endif /* !NNTP_ABLE */
+extern constext txt_error_uri_normalization[];
 extern constext txt_esc[];
 extern constext txt_exiting[];
 extern constext txt_external_mail_done[];
@@ -958,7 +982,7 @@ extern constext txt_filter_rule_created[
 extern constext txt_filter_score[];
 extern constext txt_filter_score_help[];
 extern constext txt_filter_text_type[];
-extern constext txt_followup_newsgroups[];
+extern constext *txt_followup_newsgroup_sp[];
 extern constext txt_followup_poster[];
 extern constext txt_forwarded[];
 extern constext txt_forwarded_end[];
@@ -971,16 +995,16 @@ extern constext txt_full[];
 #if defined(NNTP_ABLE) && !defined(INET6)
 	extern constext txt_giving_up[];
 #endif /* NNTP_ABLE && !INET6 */
-extern constext txt_global[];
 extern constext txt_group[];
 extern constext txt_group_aliased[];
 extern constext txt_group_bogus[];
 extern constext txt_group_is_moderated[];
-extern constext txt_group_plural[];
 extern constext txt_group_rereading[];
 extern constext txt_group_select_com[];
 extern constext txt_group_selection[];
-extern constext txt_group_singular[];
+extern constext *txt_group_ancient_arts_marked_read_sp[];
+extern constext txt_group_mark_ancient_art_read[];
+extern constext *txt_group_sp[];
 extern constext txt_grpdesc_disabled[];
 extern constext txt_help_article_autokill[];
 extern constext txt_help_article_autoselect[];
@@ -1022,10 +1046,11 @@ extern constext txt_help_article_skip_qu
 extern constext txt_help_article_toggle_formfeed[];
 extern constext txt_help_article_toggle_headers[];
 extern constext txt_help_article_toggle_highlight[];
+extern constext txt_help_article_toggle_inline_data[];
 extern constext txt_help_article_toggle_rot13[];
 extern constext txt_help_article_toggle_tabwidth[];
 extern constext txt_help_article_toggle_tex2iso[];
-extern constext txt_help_article_toggle_uue[];
+extern constext txt_help_article_toggle_verbatim[];
 extern constext txt_help_article_view_attachments[];
 extern constext txt_help_attachment_first[];
 extern constext txt_help_attachment_goto[];
@@ -1059,6 +1084,7 @@ extern constext txt_help_config_scope_me
 extern constext txt_help_config_search_opt_backwards[];
 extern constext txt_help_config_search_opt_forwards[];
 extern constext txt_help_config_select[];
+extern constext txt_help_config_serverrc_menu[];
 extern constext txt_help_config_toggle_attrib[];
 extern constext txt_help_filter_comment[];
 extern constext txt_help_filter_from[];
@@ -1117,6 +1143,7 @@ extern constext txt_help_global_toggle_i
 extern constext txt_help_global_toggle_mini_help[];
 extern constext txt_help_global_toggle_subj_display[];
 extern constext txt_help_global_version[];
+extern constext txt_help_mark_ancient_read[];
 extern constext txt_help_group_catchup[];
 extern constext txt_help_group_catchup_next[];
 extern constext txt_help_group_first_thread[];
@@ -1215,6 +1242,7 @@ extern constext txt_help_url_search_forw
 extern constext txt_help_url_search_backwards[];
 extern constext txt_help_url_select[];
 extern constext txt_help_url_toggle_info_line[];
+extern constext *txt_hot_article_sp[];
 extern constext txt_index_page_com[];
 extern constext txt_info_add_kill[];
 extern constext txt_info_add_select[];
@@ -1225,20 +1253,28 @@ extern constext txt_info_do_postpone[];
 extern constext txt_info_enter_valid_character[];
 extern constext txt_info_missing_part[];
 extern constext txt_info_nopostponed[];
+extern constext txt_info_not_available_in_raw[];
 extern constext txt_info_not_multipart_message[];
 extern constext txt_info_not_subscribed[];
 extern constext txt_info_no_write[];
 extern constext txt_info_no_previous_expression[];
-extern constext txt_info_postponed[];
+extern constext *txt_info_postponed_sp[];
 extern constext txt_info_x_conversion_note[];
+#ifdef NNTP_ABLE
+	extern constext txt_invalid_disabled_nntp_cmds[];
+#endif /* NNTP_ABLE */
 extern constext txt_invalid_from[];
+#ifdef CHARSET_CONVERSION
+	extern constext txt_invalid_char_in_charset[];
+#endif /* CHARSET_CONVERSION */
 #if defined(MULTIBYTE_ABLE) && !defined(NO_LOCALE)
 	extern constext txt_invalid_multibyte_sequence[];
 #endif /* MULTIBYTE_ABLE && !NO_LOCALE */
 extern constext txt_inverse_off[];
 extern constext txt_inverse_on[];
 extern constext txt_is_mailbox[];
-extern constext txt_is_tex_encoded[];
+/* extern constext txt_is_tex_encoded[]; */
+extern constext txt_keeping_add_cmd_line_opts[];
 extern constext txt_keymap_missing_key[];
 extern constext txt_keymap_invalid_key[];
 extern constext txt_keymap_invalid_name[];
@@ -1260,8 +1296,7 @@ extern constext txt_lines[];
 extern constext txt_lookup_func_not_available[];
 extern constext txt_lookup_func_not_nntp[];
 #ifdef NNTP_ABLE
-	extern constext txt_lookup_show_group[];
-	extern constext txt_lookup_show_groups[];
+	extern constext *txt_lookup_show_group_sp[];
 #endif /* NNTP_ABLE */
 extern constext txt_mail[];
 extern constext txt_mailbox[];
@@ -1277,8 +1312,10 @@ extern constext txt_mark_arts_read[];
 extern constext txt_mark_art_read[];
 extern constext txt_mark_group_read[];
 extern constext txt_mark_thread_read[];
-extern constext txt_marked_as_read[];
-extern constext txt_marked_as_unread[];
+extern constext txt_marked_article_as_read[];
+extern constext txt_marked_article_as_unread[];
+extern constext txt_marked_thread_as_read[];
+extern constext txt_marked_thread_as_unread[];
 extern constext txt_marked_arts_as_read[];
 extern constext txt_marked_arts_as_unread[];
 extern constext txt_matching_cmd_line_groups[];
@@ -1313,9 +1350,7 @@ extern constext txt_msgid_line_last[];
 extern constext txt_msgid_line_only[];
 extern constext txt_msgid_refs_line[];
 extern constext txt_newsgroup[];
-extern constext txt_newsgroup_plural[];
 extern constext txt_newsgroup_position[];
-extern constext txt_newsgroup_singular[];
 extern constext txt_newsrc_again[];
 extern constext txt_newsrc_nogroups[];
 extern constext txt_newsrc_saved[];
@@ -1370,6 +1405,8 @@ extern constext txt_options_menu[];
 extern constext txt_options_menu_com[];
 extern constext txt_option_not_enabled[];
 extern constext txt_out_of_memory[];
+extern constext txt_path_line_nocasse[];
+extern constext txt_xref_line_nocasse[];
 extern constext txt_pcre_error_at[];
 extern constext txt_pcre_error_num[];
 #ifndef HAVE_LIB_PCRE2
@@ -1404,20 +1441,17 @@ extern constext txt_posting[];
 #endif /* NNTP_INEWS */
 extern constext txt_postpone_post[];
 extern constext txt_postpone_repost[];
-extern constext txt_prefix_hot[];
-extern constext txt_prefix_tagged[];
-extern constext txt_prefix_untagged[];
 #ifdef NNTP_ABLE
 	extern constext txt_prep_for_filter_on_path[];
 #endif /* NNTP_ABLE */
 extern constext txt_prompt_fup_ignore[];
 extern constext txt_prompt_unchanged_mail[];
-extern constext txt_prompt_see_postponed[];
+extern constext *txt_prompt_see_postponed_sp[];
 extern constext txt_quick_filter_kill[];
 extern constext txt_quick_filter_select[];
 extern constext txt_quit[];
 extern constext txt_quit_cancel[];
-extern constext txt_quit_despite_tags[];
+extern constext *txt_quit_despite_tags_sp[];
 extern constext txt_quit_edit_post[];
 extern constext txt_quit_edit_postpone[];
 extern constext txt_quit_edit_save_kill[];
@@ -1430,22 +1464,26 @@ extern constext txt_range_invalid[];
 	extern constext txt_read_abort[];
 	extern constext txt_read_exit[];
 #endif /* HAVE_SELECT */
+extern constext txt_reading_all_arts[];
+extern constext txt_reading_all_groups[];
 extern constext txt_reading_article[];
-extern constext txt_reading_arts[];
 extern constext txt_reading_attributes_file[];
+extern constext txt_reading_global_attributes_file[];
 extern constext txt_reading_config_file[];
+extern constext txt_reading_global_config_file[];
 extern constext txt_reading_filter_file[];
 #ifdef DEBUG
 	extern constext txt_reading_from_spool[];
 #endif /* DEBUG */
 extern constext txt_reading_group[];
-extern constext txt_reading_groups[];
 extern constext txt_reading_input_history_file[];
 extern constext txt_reading_keymap_file[];
 extern constext txt_reading_news_active_file[];
 extern constext txt_reading_news_newsrc_file[];
 extern constext txt_reading_newsgroups_file[];
 extern constext txt_reading_newsrc[];
+extern constext txt_reading_unread_arts[];
+extern constext txt_reading_unread_groups[];
 #ifdef NNTP_ABLE
 #	ifdef DEBUG
 		extern constext txt_reconnect_limit_reached[];
@@ -1519,17 +1557,25 @@ extern constext txt_send_bugreport[];
 	extern constext txt_server_name_in_file_env_var[];
 #endif /* NNTP_ABLE */
 extern constext txt_serverconfig_header[];
+extern constext txt_serverrc_config_opts[];
+extern constext txt_serverrc_internal[];
+extern constext txt_serverrc_menu[];
+extern constext txt_serverrc_menu_com[];
+extern constext txt_serverrc_tinrc[];
 extern constext txt_servers_active[];
 extern constext txt_skipped_group[];
 extern constext txt_skipping_newgroups[];
 extern constext txt_space[];
 extern constext txt_starting_command[];
+#if defined(NNTP_ABLE) && defined(NNTPS_ABLE)
+	extern constext txt_startup_time[];
+#endif /* NNTP_ABLE && NNTPS_ABLE */
 extern constext txt_stp_list_thread[];
 extern constext txt_stp_thread[];
 extern constext txt_subj_line_only[];
 extern constext txt_subj_line_only_case[];
 extern constext txt_subscribe_pattern[];
-extern constext txt_subscribed_num_groups[];
+extern constext *txt_subscribed_num_group_sp[];
 extern constext txt_subscribed_to[];
 extern constext txt_subscribing[];
 extern constext txt_supersede_article[];
@@ -1537,17 +1583,18 @@ extern constext txt_supersede_group[];
 extern constext txt_superseding_art[];
 extern constext txt_suspended_message[];
 extern constext txt_tab[];
+extern constext *txt_tagged_article_sp[];
+extern constext txt_tagged_thread[];
 extern constext txt_tex[];
 extern constext txt_there_is_no_news[];
 extern constext txt_thread_upper[];
 extern constext txt_thread_com[];
 extern constext txt_thread_marked_as_deselected[];
 extern constext txt_thread_marked_as_selected[];
-extern constext txt_thread_singular[];
 extern constext txt_thread_x_of_n[];
 extern constext txt_threading_arts[];
 extern constext txt_threading_by_multipart[];
-extern constext txt_time_default_days[];
+extern constext *txt_time_default_day_sp[];
 extern constext txt_tin_version[];
 extern constext txt_tinrc_defaults[];
 extern constext txt_tinrc_filter[];
@@ -1556,6 +1603,7 @@ extern constext txt_tinrc_info_in_last_l
 extern constext txt_tinrc_newnews[];
 #if defined(NNTP_ABLE) && defined(NNTPS_ABLE)
 	extern constext txt_tls_handshake_done[];
+	extern constext txt_tls_no_alpn_negotiated[];
 #	ifdef HAVE_LIB_LIBTLS
 	extern constext txt_retr_cipher_failed[];
 	extern constext txt_retr_issuer_failed[];
@@ -1579,6 +1627,7 @@ extern constext txt_toggled_high[];
 extern constext txt_toggled_rot13[];
 extern constext txt_toggled_tex2iso[];
 extern constext txt_toggled_tabwidth[];
+extern constext txt_toggled_verbatim[];
 #if defined(NNTP_ABLE) && defined(HAVE_INET_NTOA) && !defined(INET6)
 	extern constext txt_trying[];
 #endif /* NNTP_ABLE && HAVE_INET_NTOA && !INET6 */
@@ -1588,6 +1637,8 @@ extern constext txt_toggled_tabwidth[];
 #endif /* NO_LOCKING */
 extern constext txt_type_h_for_help[];
 extern constext txt_unlimited_time[];
+extern constext txt_untagged_article[];
+extern constext txt_untagged_thread[];
 #ifdef DEBUG
 	extern constext txt_unchanged[];
 #endif /* DEBUG */
@@ -1595,14 +1646,12 @@ extern constext txt_unknown[];
 #if defined(XFACE_ABLE) || (defined(NNTPS_ABLE) && defined(HAVE_LIB_LIBTLS))
 	extern constext txt_unknown_error[];
 #endif /* XFACE_ABLE || (NNTPS_ABLE && HAVE_LIB_LIBTLS) */
-extern constext txt_unread[];
 extern constext txt_unsubscribe_pattern[];
-extern constext txt_unsubscribed_num_groups[];
+extern constext *txt_unsubscribed_num_group_sp[];
 extern constext txt_unsubscribed_to[];
 extern constext txt_unsubscribing[];
 extern constext txt_unthreading_arts[];
-extern constext txt_updated[];
-extern constext txt_updating[];
+extern constext txt_updating_group[];
 extern constext txt_url_menu[];
 extern constext txt_url_menu_com[];
 extern constext txt_url_open[];
@@ -1645,6 +1694,7 @@ extern constext txt_usage_dont_show_desc
 	extern constext txt_usage_use_nntps[];
 #	endif /* NNTPS_ABLE */
 #endif /* NNTP_ABLE */
+extern constext txt_usage_filter_file[];
 extern constext txt_usage_getart_limit[];
 extern constext txt_usage_help_information[];
 extern constext txt_usage_help_message[];
@@ -1681,24 +1731,28 @@ extern constext txt_uue_incomplete[];
 #if defined(NNTP_ABLE) && defined(NNTPS_ABLE)
 	extern constext txt_valid_not_after[];
 	extern constext txt_valid_not_before[];
+	extern constext txt_valid_not_yet[];
+	extern constext txt_valid_no_longer[];
 #endif /* NNTP_ABLE && NNTPS_ABLE */
 extern constext txt_val_out_of_range_ignored[];
 extern constext txt_val_out_of_range_reset[];
+extern constext txt_verbatim_block_hidden[];
 extern constext txt_view_attachment[];
-extern constext txt_warn_art_line_too_long[];
+extern constext *txt_warn_art_line_too_long_sp[];
 extern constext txt_warn_article_unchanged[];
 extern constext txt_warn_blank_subject[];
 extern constext txt_warn_cancel[];
 #ifdef CHARSET_CONVERSION
 	extern constext txt_warn_charset_conversion[];
 #endif /* CHARSET_CONVERSION */
+extern constext txt_warn_distribution[];
 extern constext txt_warn_distribution_world[];
 extern constext txt_warn_downgrade[];
 extern constext txt_warn_encoding_and_external_inews[];
-extern constext txt_warn_long_line_not_base[];
-extern constext txt_warn_long_line_not_break[];
+extern constext *txt_warn_long_line_not_base_sp[];
+extern constext *txt_warn_long_line_not_break_sp[];
 #ifdef MIME_BREAK_LONG_LINES
-	extern constext txt_warn_long_line_not_qp[];
+	extern constext *txt_warn_long_line_not_qp_sp[];
 #endif /* MIME_BREAK_LONG_LINES */
 #ifdef ALLOW_FWS_IN_NEWSGROUPLIST
 	extern constext txt_warn_header_line_comma[];
@@ -1706,26 +1760,28 @@ extern constext txt_warn_long_line_not_b
 #endif /* ALLOW_FWS_IN_NEWSGROUPLIST */
 extern constext txt_warn_example_hierarchy[];
 extern constext txt_warn_multiple_addresses[];
-extern constext txt_warn_multiple_sigs[];
+extern constext *txt_warn_multiple_sigs_sp[];
 extern constext txt_warn_newsrc[];
-extern constext txt_warn_not_all_arts_saved[];
+extern constext *txt_warn_not_all_arts_saved_sp[];
 extern constext txt_warn_re_but_no_references[];
 extern constext txt_warn_re_only_subject[];
 extern constext txt_warn_references_but_no_re[];
 #ifndef FORGERY
 	extern constext txt_warn_sender_required_but_disabled[];
 #endif /* !FORGERY */
-extern constext txt_warn_sig_too_long[];
+extern constext *txt_warn_sig_too_long_sp[];
 extern constext txt_warn_suspicious_mail[];
 extern constext txt_warn_update[];
 extern constext txt_warn_unprintable_char[];
 extern constext txt_warn_unrecognized_version[];
 extern constext txt_warn_wrong_sig_format[];
+extern constext txt_warn_group_is_moderated[];
+extern constext *txt_warn_groups_moderated_sp[];
 extern constext txt_warn_xref_not_supported[];
 extern constext txt_writing_attributes_file[];
 extern constext txt_writing_group[];
 extern constext txt_writing_overview[];
-extern constext txt_x_resp[];
+extern constext *txt_x_resp_sp[];
 #ifdef XFACE_ABLE
 	extern constext txt_xface_error_construct_fifo_name[];
 	extern constext txt_xface_error_create_failed[];
@@ -1746,12 +1802,21 @@ extern constext txt_x_resp[];
 	extern constext txt_xface_msg_windowid_not_found[];
 	extern constext txt_xface_readme[];
 #endif /* XFACE_ABLE */
-#if defined(NNTP_ABLE) && defined(XHDR_XREF)
+#ifdef NNTP_ABLE
 	extern constext txt_xref_loop[];
-#endif /* NNTP_ABLE && XHDR_XREF */
-extern constext txt_yanked_groups[];
+#endif /* NNTP_ABLE */
+extern constext *txt_yanked_group_sp[];
 extern constext txt_yanked_none[];
 extern constext txt_yanked_sub_groups[];
+extern constext txt_yenc_complete[];
+extern constext txt_yenc_corrupt[];
+extern constext txt_yenc_crc[];
+extern constext txt_yenc_incomplete[];
+extern constext txt_yenc_part[];
+extern constext txt_yenc_part_size[];
+extern constext txt_yenc_partial[];
+extern constext txt_yenc_total[];
+extern constext txt_yenc_total_size[];
 extern constext txt_show_unread[];
 extern constext txt_yes[];
 extern constext txt_you_have_mail[];
@@ -1768,7 +1833,7 @@ extern constext txt_you_have_mail[];
 #ifndef HAVE_FASCIST_NEWSADMIN
 	extern constext txt_warn_followup_to_several_groups[];
 	extern constext txt_warn_grp_renamed[];
-	extern constext txt_warn_missing_followup_to[];
+	extern constext *txt_warn_missing_followup_to_sp[];
 	extern constext txt_warn_not_in_newsrc[];
 	extern constext txt_warn_not_valid_newsgroup[];
 #endif /* !HAVE_FASCIST_NEWSADMIN */
@@ -1796,7 +1861,9 @@ extern constext txt_uu_success[];
 extern int *my_group;
 extern int NOTESLINES;
 extern int _hp_glitch;
-extern int art_mark_width;
+#if defined(MULTIBYTE_ABLE) && !defined(NO_LOCALE)
+	extern int art_mark_width;
+#endif /* MULTIBYTE_ABLE && !NO_LOCALE */
 extern int attrib_file_offset;
 extern int cCOLS;
 extern int cLINES;
@@ -1819,7 +1886,7 @@ extern int num_newnews;
 extern int num_of_tagged_arts;
 extern int num_save;
 extern int num_scope;
-extern int signal_context;
+extern enum context signal_context;
 extern int srch_lineno;
 extern int system_status;
 extern int this_resp;
